org.modeshape.sequencer.ddl.dialect.teiid

## Enum TeiidDdlConstants.SchemaElementType

- java.lang.Object
- - java.lang.Enum<TeiidDdlConstants.SchemaElementType>
  - - org.modeshape.sequencer.ddl.dialect.teiid.TeiidDdlConstants.SchemaElementType

- All Implemented Interfaces:
    Serializable, Comparable<TeiidDdlConstants.SchemaElementType>, TeiidDdlConstants.DdlElement
  Enclosing interface:
    TeiidDdlConstants

      public static enum TeiidDdlConstants.SchemaElementType
      extends Enum<TeiidDdlConstants.SchemaElementType>
      implements TeiidDdlConstants.DdlElement

  Indicates if element is foreign/physical or virtual.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FOREIGN`
    `VIRTUAL`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toDdl()`
    `static TeiidDdlConstants.SchemaElementType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TeiidDdlConstants.SchemaElementType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FOREIGN

          public static final TeiidDdlConstants.SchemaElementType FOREIGN

    - #### VIRTUAL

          public static final TeiidDdlConstants.SchemaElementType VIRTUAL

  - ### Method Detail

    - #### values

          public static TeiidDdlConstants.SchemaElementType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TeiidDdlConstants.SchemaElementType c : TeiidDdlConstants.SchemaElementType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TeiidDdlConstants.SchemaElementType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toDdl

          public String toDdl()

      Specified by:
        `toDdl` in interface `TeiidDdlConstants.DdlElement`
      Returns:
        the DDL string representation (never `null` or empty)
      See Also:
        `TeiidDdlConstants.DdlElement.toDdl()`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.